// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ape_test_case1.s.c
// Author        : 
// Created On    : 2022-10-26
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "typedef.h"
#include "ucp_printf.h"
#include "phy_para.h"


/************************************************************************/
extern void cpri_init(uint32_t option,uint32_t MappingMode);
extern void jesd_init();
extern void ecpri_init(uint8_t nOption);

int32_t fh_data_init(void)
{
	return 0;
}

int32_t fh_drv_init()
{
#ifdef DISTRIBUTED_BS
	cpri_init(CPRI_OPTION_8, OTIC_MAP_FIGURE12);
#endif
#ifdef ECPRI_DISTRIBUTED_BS
	ecpri_init(ECPRI_OPTION_10G);
#endif
#ifdef INTEGRATED_BS
	jesd_init();
#endif

	return 0;
}

int32_t fh_csu_test_init(void)
{

	return 0;
}

void fh_test_case()
{
	return;
}

void fh_data_check(uint32_t times)
{
	return;
}


